org.codehaus.groovy.tools.groovydoc

## Class FileOutputTool

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.FileOutputTool

- All Implemented Interfaces:
    OutputTool

      public class FileOutputTool
      extends java.lang.Object
      implements OutputTool

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileOutputTool()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `makeOutputArea(java.lang.String filename)`
    `void` | `writeToOutput(java.lang.String fileName, java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileOutputTool

          public FileOutputTool()

  - ### Method Detail

    - #### makeOutputArea

          public void makeOutputArea(java.lang.String filename)

      Specified by:
        `makeOutputArea` in interface `OutputTool`

    - #### writeToOutput

          public void writeToOutput(java.lang.String fileName,
                           java.lang.String text)
                             throws java.lang.Exception

      Specified by:
        `writeToOutput` in interface `OutputTool`
      Throws:
        `java.lang.Exception`